import type { ExecaReturnValue } from 'execa';
interface InstallPackageOptions {
    cwd?: string;
    dev?: boolean;
    silent?: boolean;
    packageManager?: string;
    packageManagerVersion?: string;
    preferOffline?: boolean;
    additionalArgs?: string[];
}
/**
 * Install an npm package.
 *
 * @param name - The package name to install.
 * @param options - The options to pass to the install.The options to pass to the install.
 * @returns The result of the install.
 */
export declare function installPackage(name: string, options?: InstallPackageOptions): Promise<ExecaReturnValue<string>>;
/**
 * Install a Stack into your project.
 *
 * @param name - The Stack name to install.
 * @param options - The options to pass to the install.
 * @returns The result of the install.
 */
export declare function installStack(name: string, options?: InstallPackageOptions): Promise<ExecaReturnValue<string>>;
export {};
